Bug 36266 - Fire Focus Event type: focusin events
Summary: Fire Focus Event type: focusin events
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore JavaScript (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.4
: P2 Normal
Assignee: Dave Hyatt
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2010-03-17 19:51 PDT by Andy Estes
Modified: 2010-03-23 10:53 PDT (History)
3 users (show)

See Also:


Attachments
Patch (5.61 KB, patch)
2010-03-19 11:49 PDT, Dave Hyatt
no flags Details | Formatted Diff | Diff
Patch (16.08 KB, patch)
2010-03-22 12:28 PDT, Dave Hyatt
sam: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andy Estes 2010-03-17 19:51:21 PDT
2010-03-17 17:46:22 Andy Estes:
Safari fails the following test: http://samples.msdn.microsoft.com/ietestcenter/domevents/domevents_harness.htm?url=./focusin.html.

Safari does not fire focus events when registered for using the name 'focusin'.  This is a valid event name as defined by the W3C DOM Level 3 Events Working Draft at http://www.w3.org/TR/DOM-Level-3-Events/.  Safari does implement the 'DOMFocusIn' event, which appears to serve the same purpose.

<rdar://problem/7765952>
Comment 1 Dave Hyatt 2010-03-19 11:49:09 PDT
Created attachment 51176 [details]
Patch
Comment 2 Simon Fraser (smfr) 2010-03-19 11:51:56 PDT
Comment on attachment 51176 [details]
Patch

r=me
Comment 3 Dave Hyatt 2010-03-19 12:42:47 PDT
Comment on attachment 51176 [details]
Patch

Clearing flag, since we need to support the old event names still.  New patch is going to be much more complicated. :)
Comment 4 Dave Hyatt 2010-03-22 12:28:55 PDT
Created attachment 51329 [details]
Patch
Comment 5 WebKit Review Bot 2010-03-22 12:32:29 PDT
Attachment 51329 [details] did not pass style-queue:

Failed to run "WebKitTools/Scripts/check-webkit-style" exit_code: 1
WebCore/dom/Node.cpp:2726:  Boolean expressions that span multiple lines should have their operators on the left side of the line instead of the right side.  [whitespace/operators] [4]
WebCore/dom/Event.cpp:269:  Boolean expressions that span multiple lines should have their operators on the left side of the line instead of the right side.  [whitespace/operators] [4]
Total errors found: 2 in 17 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 6 Dave Hyatt 2010-03-23 10:53:19 PDT
Fixed in r56402.